Name:           AudioCuesheetEditor
Version:        1.0.3
Release:        1%{?dist}
Summary:        Write audio cuesheets fast and efficient

License:        GPLv3
URL:            http://sourceforge.net/projects/audiocuesheet/
Source0:        http://downloads.sourceforge.net/audiocuesheet/%{name}-src-v%{version}.tar.gz

BuildRequires:  gtk-sharp2-devel
BuildRequires:  mono-devel
BuildRequires:  desktop-file-utils

%description
Annoyed of writing your audio cuesheets via text editor?
Here comes the solution!  Audio Cuesheet Editor helps you
editing your audio cuesheet file.

With Audio Cuesheet Editor you can import textfiles, edit
the imported data and afterwards export to a working audio
cuesheet.

Features

  * Import Textfiles (Scheme can be changed in Options)
  * Import existing cuesheets
  * Edit Imported Data
  * Edit Cuesheet in GUI
  * Several logical test (starttime < endtime,etc)
    with warning for users
  * Export as Cuesheet
  * Export profiles can be configured (*.csv,*.txt, etc.)
  * Several Options
  * Automatic Update recognition
  * Drag & Drop
  
%prep
%setup -q -n %{name}-src-v%{version}

for _file in '*.TXT'
do
  sed -i.orig -e 's!\r$!!g' ${_file} &&	\
  touch -r ${_file}.orig ${_file} &&	\
  rm -rf ${_file}.orig
done

find . -depth -type f -print0 | xargs -0 chmod 644

%build
%configure ||:
export LANG=en_US.UTF-8
xbuild /property:Configuration=Release AudioCuesheetEditor.sln

%install
mkdir -p %{buildroot}/usr/lib/%{name}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/applications
cp -a bin/Release/resources %{buildroot}/usr/lib/%{name}/resources
cp bin/Release/%{name}.exe %{buildroot}/usr/lib/%{name}/%{name}.exe
echo '#!/bin/sh' >> %{buildroot}%{_bindir}/%{name}
echo 'exec mono "/usr/lib/%{name}/%{name}.exe" "$@"' >> %{buildroot}%{_bindir}/%{name}
chmod 755 %{buildroot}%{_bindir}/%{name}
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Type=Application
Exec=AudioCuesheetEditor
Name=AudioCuesheetEditor
Icon=/usr/lib/%{name}/resources/icons/application-x-cue-128.png
Comment=Cuesheet Editor for audio files
Categories=AudioVideo;Audio;
EOF
desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc CHANGELOG.TXT README.TXT LICENCE.TXT KNOWN_ISSUES.TXT
/usr/lib/%{name}
%{_datadir}/applications/%{name}.desktop
%{_bindir}/%{name}

%changelog

* Sun Oct 27 2013 Sven Baus <s.baus86@gmx.net> 1.0.3-1
- added export LANG=en_US.UTF-8 to build stage and therefore removed LC_CTYPE=de_DE.UTF-8 xbuild

* Sat Oct 26 2013 Sven Baus <s.baus86@gmx.net> 1.0.3-1
- fixed bogus dates in changelog
- added change of wrong file end encoding in prep stage
- removed /* in files section for not creating a directory that is not owned by someone
- added configure ||: in build stage
- removed Requires since gtk-sharp2 and mono-core are not needed explicit
- changed cp -R to cp -a in install stage
- split up BuildRequires
- changed summary
- changed description
- removed chmod in install stage and moved it modified to prep stage
- removed {_builddir}/{name}-src-v{version}/ in install stage

* Tue Jul 16 2013 Sven Baus <s.baus86@gmx.net> 1.0.3-1
- added removal of executable bit in build stage for *.properties

* Tue Jul 09 2013 Sven Baus <s.baus86@gmx.net> 1.0.3-1
- new upstream version

* Sun Apr 07 2013 Sven Baus <s.baus86@gmx.net> 0.3.0-1
- new upstream version

* Sun Feb 17 2013 Sven Baus <s.baus86@gmx.net> 0.2.1-1
- changed installation from _libdir to /usr/lib

* Tue Jan 29 2013 Sven Baus <s.baus86@gmx.net> 0.2.1-1
- reduced buildrequires
- changed description
- changed removal of execution bit during build stage
- added removal of execution bit for *.ico,*.png and AudioCuesheetEditor.exe during build stage
- changed desktop file creation inside install stage
- added desktop-file-utils to buildrequires

* Thu Jan 24 2013 Sven Baus <s.baus86@gmx.net> 0.2.1-1
- corrected removal of execution bit for txt files during build stage

* Tue Jan 22 2013 Sven Baus <s.baus86@gmx.net> 0.2.1-1
- added removal of execution bit for xml files during build stage

* Sun Jan 20 2013 Sven Baus <s.baus86@gmx.net> 0.2.1-1
- removed docs from copying into libdir during install stage
- added removal of execution bit for txt files during build stage

* Sat Jan 19 2013 Sven Baus <s.baus86@gmx.net> 0.2.1-1
- removed source1 desktop file because it will be written with this spec
- added creation of desktop file in install stage
- shortened description

* Thu Jan 17 2013 Sven Baus <s.baus86@gmx.net> 0.2.1-1
- added desktop file install to install stage
- updated source0
- corrected -c switch of setup during prep stage
- added desktop file to files section
- added creation of AudioCuesheetEditor inside bindir during install stage
- added created AudioCuesheetEditor inside bindir to file section

* Tue Jan 15 2013 Sven Baus <s.baus86@gmx.net> 0.2.1-1
- added LC_CTYPE to xbbuild in build stage
- added mono-devel to BuildRequires for xbuild
- added copying of build files to install stage
- removed cleanup during install stage
- changed files selection to work with more wildcards
- chaned Summary to spaces instead of tabs
- added desktop file

* Tue Jan 01 2013 Sven Baus <s.baus86@gmx.net> 0.2.1-1
- reduced files section with wildcard
- changed summary

* Mon Dec 31 2012 Sven Baus <s.baus86@gmx.net> 0.2.1-1
- initial version